Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface AccessLogConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, NotificationBroadcaster, NotificationEmitter

public interface AccessLogConfig
extends ConfigElement

Configuration for the <access-log> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.
`static java.lang.String` | `ROTATION_POLICY_BY_SIZE` Possible value for RotationPolicy.
`static java.lang.String` | `ROTATION_POLICY_BY_TIME` Possible value for RotationPolicy.
`static java.lang.String` | `ROTATION_POLICY_ON_DEMAND` Possible value for RotationPolicy.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`java.lang.String` | `getFormat()`
`boolean` | `getRotationEnabled()`
`java.lang.String` | `getRotationIntervalInMinutes()`
`java.lang.String` | `getRotationPolicy()`
`java.lang.String` | `getRotationSuffix()`
`void` | `setFormat(java.lang.String value)`
`void` | `setRotationEnabled(boolean value)`
`void` | `setRotationIntervalInMinutes(java.lang.String value)`
`void` | `setRotationPolicy(java.lang.String value)` Valid values are: `ROTATION_POLICY_BY_TIME` `ROTATION_POLICY_BY_SIZE` `ROTATION_POLICY_ON_DEMAND`
`void` | `setRotationSuffix(java.lang.String value)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

### ROTATION_POLICY_BY_TIME

    public static final java.lang.String ROTATION_POLICY_BY_TIME

  Possible value for RotationPolicy.

  See Also:
    Constant Field Values

### ROTATION_POLICY_BY_SIZE

    public static final java.lang.String ROTATION_POLICY_BY_SIZE

  Possible value for RotationPolicy.

  See Also:
    Constant Field Values

### ROTATION_POLICY_ON_DEMAND

    public static final java.lang.String ROTATION_POLICY_ON_DEMAND

  Possible value for RotationPolicy.

  See Also:
    Constant Field Values

Method Detail

### getFormat

    public java.lang.String getFormat()

### setFormat

    public void setFormat(java.lang.String value)

### getRotationEnabled

    public boolean getRotationEnabled()

### setRotationEnabled

    public void setRotationEnabled(boolean value)

### getRotationIntervalInMinutes

    public java.lang.String getRotationIntervalInMinutes()

### setRotationIntervalInMinutes

    public void setRotationIntervalInMinutes(java.lang.String value)

### setRotationPolicy

    public void setRotationPolicy(java.lang.String value)

  Valid values are:
  - `ROTATION_POLICY_BY_TIME`
  - `ROTATION_POLICY_BY_SIZE`
  - `ROTATION_POLICY_ON_DEMAND`

### getRotationPolicy

    public java.lang.String getRotationPolicy()

### getRotationSuffix

    public java.lang.String getRotationSuffix()

### setRotationSuffix

    public void setRotationSuffix(java.lang.String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.